Skip to main content
Dataworld, authorized IT and AV reseller in Canada
Menu

Shop by Department

Software & Services

Language
Zyxel GS1900-24E network switch Managed Gigabit Ethernet (10/100/1000) Black product photo
Zyxel

Zyxel GS1900-24E network switch Managed Gigabit Ethernet (10/100/1000) Black

Zyxel GS1900-24E, Managed, Gigabit Ethernet (10/100/1000)

Part NumberGS1900-24E
UPC760559121020

MSRP

$154.13

Public MSRP in CAD. Your quoted price comes from an account manager.

Available to Order
Quantity

Get your price from a Dataworld account manager.

View Your Quote Request
Paste your parts list or upload a CSV

Talk to Us(514) 738-6350

  • Canadian-owned since 1979
  • Authorized reseller of every brand we carry
  • Public MSRP
  • English and French
  • For Canadian businesses

Overview

Zyxel GS1900-24E. Switch type: Managed. Basic switching RJ-45 Ethernet ports type: Gigabit Ethernet (10/100/1000), Basic switching RJ-45 Ethernet ports quantity: 24. Networking standards: IEEE 802.1p, IEEE 802.3, IEEE 802.3ab, IEEE 802.3az, IEEE 802.3u, IEEE 802.3x

Explore More

Specifications

Switch type
Managed
Quality of Service (QoS) support
Yes
MIB support
RFC 1213 MIB II, RFC 2819, RFC 1215, RFC 1493

Basic switching RJ-45 Ethernet ports quantity
24
Basic switching RJ-45 Ethernet ports type
Gigabit Ethernet (10/100/1000)
Gigabit Ethernet (copper) ports quantity
24

Buying from Dataworld

  • A competitive CAD quote from a Dataworld account manager.
  • Montreal-based, serving Canadian businesses in English and French.

MSRP

$154.13